Package org.apache.solr.client.solrj.beans

## Annotation Type Field

    @Target({FIELD,METHOD})
    @Retention(RUNTIME)
    public @interface Field

This class can be used to annotate a field or a setter an any class and SolrJ would help you convert to SolrInputDocument and from SolrDocument

Since:
  solr 1.3

### Optional Element Summary

Optional Elements
`boolean` `child`
`String` `value`

### Element Detail

#### child

    boolean child

Default:
  false

#### value

    String value

Default:
  "#default"